{% extends "shuup/front/base.jinja" %}

{% block title %}{% trans %}Home{% endtrans %}{% endblock %}

{% block content_title %}{% endblock %}

{% block extra_main_class %}index{% endblock %}
{% block bodyclass %}homepage{% endblock %}

{% block container_start %}{% endblock %}
{% block container_end %}{% endblock %}

{% block navigation %}
    {{ render_navigation(show_quick_login=True, transparent=True) }}
{% endblock %}

{% block banner %}
    {# TODO #}
    {%- set lazy_url = shuup_static('canvas/img/content/Main_Rectangle_Photo.jpg') -%}
    {%- set image_data = url("shuup:all-categories") %}
    {%- set lazy_url_2 = shuup_static('canvas/img/content/Background_Photo.jpg') %}
    {% call(data) lazy_div_image_caller(lazy_url , "homepage-banner parallax-background is-animated", image_data) %}
        {% call(data_2) lazy_div_image_caller(lazy_url_2 , "homepage-banner__box", data) %}
            <div class="homepage-banner__btn-wrapper">
                <a href="{{ data_2 }}" class="btn btn-lg btn-block btn-white btn-lg-horizontal btn-lg-vertical" type="button">Explore Now</a>
            </div>
        {% endcall %}
        <div class="homepage-banner__corner-text">
            <h2><div>F<span>/</span>W</div><span>2022</span></h2>
        </div>
    {% endcall %}

        
{% endblock %}

{% block content %}
    <div class="container-fluid homepage-container">
        {%- cache 84000 "homepage_content-cache"-%}
        {% placeholder "homepage_content" %}
            {% row %}
                {% column {"sm": 12} %}
                    {% plugin "product_highlight" %}
                        type = "newest"
                        title = "New Products"
                        count = 15
                    {% endplugin %}
                {% endcolumn %}
            {% endrow %}
        {% endplaceholder %}
        {%- endcache -%}
    </div>

    {# TODO: Make this as a plugin or somehow editable by the customer #}
    <section class="homepage-base-section homepage-fullheight-image-section">
        <div class="container-fluid">
            <div class="flex-row">
                {%- set lazy_url = shuup_static('canvas/img/dummy-content/canvas-homepage-image-fullheight-1.jpg') %}
                {{ lazy_div_image(lazy_url, "homepage-fullheight-image-section__image-col") }}
                <div class="homepage-fullheight-image-section__text-col">
                    <h2 class="heading-lg pb-3"><span>Our Unique</span> <br>Approach</h2>
                    <div class="homepage-fullheight-image-section__mobile-image hidden-lg hidden-md">
                        {%- set lazy_url = shuup_static('canvas/img/dummy-content/canvas-homepage-image-fullheight-1.jpg') %}
                        {{ lazy_img_image(shuup_static('canvas/img/dummy-content/canvas-homepage-image-fullheight-1.jpg'), "", "thecanvas unique approach to sustainable fashion") }}
                    </div>
                    <p class="lead pt-3">Every brand on The Canvas is improving the way we create by commiting to at least one of the UN Development goals.</p>
                    <a href="/discover-the-canvas" class="learn-more-text-btn">Learn More</a>
                </div>
            </div>
        </div>
    </section>

    {# TODO: Make this as a plugin or somehow editable by the customer #}
    <section class="homepage-base-section homepage-three-square-images-section">
        <div class="container-fluid">
            <div class="row">
                <div class="col col-sm-4">
                    {%- call(data) lazy_div_image_caller(shuup_static('canvas/img/content/Accessories_Photo.webp') , "homepage-three-square-images-section__lift", "") %}
                        <div class="homepage-three-square-images-section__button-container">
                            {% set c = get_category("Accessories") %}
                            {% if c %}
                                <a href="{{ url('shuup:category', pk=c.pk, slug=c.slug) }}" class="btn btn-block btn-white btn-lg-vertical">Shop Accessories</a>
                            {% else %}
                                {# Fallback in case the category has been deleted #}
                                <a href="{{ url("shuup:all-categories") }}" class="btn btn-block btn-white btn-lg-vertical">Shop Accessories</a>
                            {% endif %}
                        </div>
                    {% endcall %}
                </div>
                <div class="col col-sm-4">
                    {%- call(data) lazy_div_image_caller(shuup_static('canvas/img/content/Shop_New_Arrivals.jpg') , "homepage-three-square-images-section__lift", "") %}
                        <div class="homepage-three-square-images-section__button-container">
                            <a href="{{ url("shuup:all-categories") }}?sort=created_date_d" class="btn btn-block btn-white btn-lg-vertical">Shop New Arrivals</a>
                        </div>
                    {% endcall %}

                </div>
                <div class="col col-sm-4">
                    {%- call(data) lazy_div_image_caller(shuup_static('canvas/img/content/Shop_Womenswear.jpg') , "homepage-three-square-images-section__lift", "") %}
                        <div class="homepage-three-square-images-section__button-container">
                            <a href="{{ url("shuup:all-categories") }}?gender=2" class="btn btn-block btn-white btn-lg-vertical">Shop Womenswear</a>
                        </div>
                    {% endcall %}
                </div>
            </div>
        </div>
    </section>

    {# TODO #}
    <section class="homepage-base-section homepage-sdg-section">
        <div class="container-fluid">
            <div class="text-center">
                <h2 class="heading-lg"><span>Shop</span> By</h2>
                <p class="lead">United Nations sustainable development goals</p>
                {%- cache 84000 "homepage_sdg-cache"-%}
                {% placeholder "homepage_sdg" %}{% endplaceholder %}
                {%- endcache-%}
            </div>
        </div>
    </section>

    {# TODO #}
    <section class="homepage-base-section homepage-scattered-images-section">
        <div class="text-center">
            <div class="homepage-scattered-images-section__image-row">
                <div class="homepage-scattered-images-section__image image_1">
                    <div class="homepage-scattered-images-section__image-wrapper">
                        {{ lazy_img_image(shuup_static('canvas/img/dummy-content/canvas-homepage-scattered-1.jpg'), "", "") }}
                    </div>
                </div>
                <div class="homepage-scattered-images-section__image image_2">
                    <div class="homepage-scattered-images-section__image-wrapper on-hover">
                        <svg width="100%" height="100%" viewBox="0 0 280 280" fill="none" preserveAspectRatio="none" xmlns="http://www.w3.org/2000/svg"><path d="M0.5 279.5L279.5 0.5" stroke="black"/></svg>
                        {{ lazy_img_image(shuup_static('canvas/img/dummy-content/canvas-homepage-scattered-4.jpg'), "", "") }}
                    </div>
                </div>
                <div class="homepage-scattered-images-section__image image_3">
                    <div class="homepage-scattered-images-section__image-wrapper">
                        {{ lazy_img_image(shuup_static('canvas/img/dummy-content/canvas-homepage-scattered-2.jpg'), "", "") }}
                    </div>
                </div>
            </div>
            <h2 class="heading-lg"><span>The home<br> of rising ethical</span><br> fashion brands.</h2>
            <div class="homepage-scattered-images-section__button-container">
                <a href="/about-us/" class="btn btn-white btn-lg-horizontal btn-lg-vertical my-6">About the Canvas</a>
                <div class="visible-xs visible-sm">
                    {{ lazy_img_image(shuup_static('canvas/img/dummy-content/canvas-homepage-scattered-1.jpg'), "", "") }}
                </div>
            </div>
            <div class="homepage-scattered-images-section__image-row">
                <div class="homepage-scattered-images-section__image image_4">
                    <div class="homepage-scattered-images-section__image-wrapper on-hover">
                        <svg width="100%" height="100%" viewBox="0 0 280 280" fill="none" preserveAspectRatio="none" xmlns="http://www.w3.org/2000/svg"><path d="M0.5 279.5L279.5 0.5" stroke="black"/></svg>
                        {{ lazy_img_image(shuup_static('canvas/img/dummy-content/canvas-homepage-scattered-6.jpg'), "", "") }}
                    </div>
                </div>
                <div class="homepage-scattered-images-section__image image_5">
                    <div class="homepage-scattered-images-section__image-wrapper">
                        {{ lazy_img_image(shuup_static('canvas/img/dummy-content/canvas-homepage-scattered-3.jpg'), "", "") }}
                    </div>
                </div>
                <div class="homepage-scattered-images-section__image image_6">
                    <div class="homepage-scattered-images-section__image-wrapper on-hover">
                        <svg width="100%" height="100%" viewBox="0 0 280 280" fill="none" preserveAspectRatio="none" xmlns="http://www.w3.org/2000/svg"><path d="M0.5 279.5L279.5 0.5" stroke="black"/></svg>
                        {{ lazy_img_image(shuup_static('canvas/img/dummy-content/canvas-homepage-scattered-5.jpg'), "", "") }}
                    </div>
                </div>
            </div>
        </div>
    </section>

    {# TODO: Make this as a plugin or somehow editable by the customer #}
    <section class="homepage-base-section homepage-giftcard-newsletter">
        <div class="container-fluid">
            <div class="flex-row">
                <div class="col">
                    {%- call(data) lazy_div_image_caller(shuup_static('canvas/img/dummy-content/canvas-homepage-image-giftcard-1.jpg') , "homepage-giftcard-newsletter__giftcard", "") %}
                        {{ lazy_img_image(shuup_static('canvas/img/canvas-gift-cards-icon.svg'), "", "") }}
                        <div class="homepage-giftcard-newsletter__btn-wrapper">
                            <button type="button" disabled class="btn btn-block btn-white btn-lg-vertical">Coming Soon!</button>
                        </div>
                    {% endcall %}
                </div>
                <div class="col">
                    <form class="homepage-giftcard-newsletter__newsletter" action="">
                        <h3>Want a discount? <br>Sign up for our newsletter!</h3>
                        <div class="homepage-giftcard-newsletter__newsletter-input-wrapper">
                            <label for="newsletter-input" class="sr-only">Email</label>
                            <input id="newsletter-input" type="email" placeholder="Email">
                            <i class="fa fa-lg fa-envelope-o"></i>
                        </div>
                        <div class="homepage-giftcard-newsletter__btn-wrapper">
                            <button type="submit" class="btn btn-block btn-white btn-lg-vertical">Submit</button>
                        </div>
                    </form>
                </div>
            </div>
        </div>
    </section>

    <div class="brands-section">
        <div class="container-fluid">
            <div class="brands-section__header-row d-flex justify-content-between">
                <div class="brands-section__header">
                    {# TODO: Changeable title and description? #}
                    <h2 class="heading-lg">{% trans %}<span>Our</span> Brands{% endtrans %}</h2>
                    <p class="lead">
                        Vacant spaces turned marketplaces for the rising, independent designers of the world. Our brands come from far and wide bringing beauty, stories, and good practices.
                    </p>
                </div>

                <ul class="brands-section__toggle-buttons" role="tablist">
                    <li role="presentation" class="active">
                        <a href="#brands-az" aria-controls="brands-az" role="tab" data-toggle="tab">
                            {% trans %}A-Z{% endtrans %}
                        </a>
                    </li>
                    <li role="presentation">
                        <a href="#brands-map" aria-controls="brands-map" role="tab" data-toggle="tab">
                            {% trans %}Map{% endtrans %}
                        </a>
                    </li>
                </ul>
            </div>

            <div class="tab-content brands-section__tab-content">
                <div role="tabpanel" class="tab-pane fade in active" id="brands-az">
                    {%- cache 86400 'brands-az' -%}
                    <div class="brands-section__brand-list">
                        {% set suppliers_dict = get_suppliers_letter_dict(request) %}
                        {% for letter in "ABCDEFGHIJKLMNOPQRSTUVWXYZ0123456789" %}
                            <div class="brands-section__brand-list__single-alphabet">
                                <h3 class="brands-section__brand-list__letter">
                                    {{ letter }}
                                </h3>
                                <ul>
                                    {% for supplier in suppliers_dict.get(letter, ()) %}
                                        {% set href = url("shuup:supplier", pk=supplier.pk, slug=supplier.slug) %}
                                        <li><a href="{{ href }} ">{{ supplier.name }}</a></li>
                                    {% else %}
                                        <li><p>-</p></li>
                                    {% endfor %}
                                </ul>
                            </div>
                        {% endfor %}
                    </div>
                    {%- endcache -%}
                </div>
            </div>
        </div>
    </div>
{% endblock %}
